> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fossapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a crypto transfer



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/transfers/crypto
openapi: 3.1.0
info:
  title: FossaPay API
  description: >-
    FossaPay API for checkout wallets, master-wallet payouts, customer
    management, NGN wallets, crypto wallets, transfers, fees, banks, and
    webhooks.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api-production.fossapay.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /api/v1/transfers/crypto:
    post:
      tags:
        - Crypto Transfers
      summary: Create a crypto transfer
      operationId: CryptoTransfersController_create
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CryptoTransferRequest'
      responses:
        '200':
          description: Crypto transfer submitted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CryptoTransferResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    CryptoTransferRequest:
      type: object
      required:
        - customerId
        - recipient
        - network
        - currency
        - amount
      properties:
        customerId:
          type: string
        recipient:
          type: string
        network:
          type: string
          enum:
            - solana
        currency:
          type: string
          enum:
            - usdc
            - usdt
            - sol
        amount:
          type: number
          exclusiveMinimum: 0
          description: >-
            Gross token amount. FossaPay deducts the quoted transfer fee, if
            any, and sends the remainder to the recipient. SOL amounts support
            up to 9 decimal places.
      additionalProperties: false
    CryptoTransferResponse:
      type: object
      required:
        - status
        - message
        - data
      properties:
        status:
          type: boolean
        message:
          type: string
        data:
          type: object
          required:
            - token
            - network
            - recipientAddress
            - senderAddress
            - status
          properties:
            token:
              type: object
              required:
                - symbol
                - amount
              properties:
                symbol:
                  type: string
                amount:
                  type: number
              additionalProperties: true
            network:
              type: string
              enum:
                - SOLANA
            recipientAddress:
              type: string
            senderAddress:
              type: string
            status:
              type: string
          additionalProperties: true
      additionalProperties: true
    ApiError:
      type: object
      properties:
        status:
          oneOf:
            - type: string
            - type: boolean
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
        code:
          type: string
        errors:
          type: object
          additionalProperties: true
      additionalProperties: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````